% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qcr.R
\docType{package}
\name{qcr}
\alias{qcr}
\title{Quality Control Review}
\description{
Quality Control Review
Univariate and multivariate SQC tools that completes and increases
the SQC techniques available in R. Apart from integrating different R packages devoted to SQC
('qcc','MSQC'), provides nonparametric tools that are highly useful when Gaussian assumption is not
met. This package computes standard univariate control charts for individual measurements, X-bar,
S, R, p, np, c, u, EWMA and CUSUM. In addition, it includes functions to perform multivariate
control charts such as Hotelling T2, MEWMA and MCUSUM. As representative feature, multivariate
nonparametric alternatives based on data depth are implemented in this package: r, Q and S control
charts. In addition, Phase I and II control charts for functional data are included. This package also allows 
the estimation of the most complete set of capability indices from first to fourth generation, covering the
nonparametric alternatives, and performing the corresponding capability analysis graphical outputs,
including the process capability plots.
}
